From: "Justin Lecher" <jlec@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/sci:master commit in: dev-util/amdapp/
Date: Mon, 2 Feb 2015 12:06:25 +0000 (UTC) [thread overview]
Message-ID: <1422864546.171a83acc6180827dcc5912b1d42404a81433c54.jlec@gentoo> (raw)
commit: 171a83acc6180827dcc5912b1d42404a81433c54
Author: Marius Brehler <marbre <AT> linux <DOT> sungazer <DOT> de>
AuthorDate: Mon Feb 2 08:09:06 2015 +0000
Commit: Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Mon Feb 2 08:09:06 2015 +0000
URL: http://sources.gentoo.org/gitweb/?p=proj/sci.git;a=commit;h=171a83ac
dev-util/amdap: Fix 32bit build, add link to download archive
---
dev-util/amdapp/ChangeLog | 4 ++++
dev-util/amdapp/amdapp-2.8.ebuild | 22 ++++++++++++++++++----
2 files changed, 22 insertions(+), 4 deletions(-)
diff --git a/dev-util/amdapp/ChangeLog b/dev-util/amdapp/ChangeLog
index 6b46c97..1bf218e 100644
--- a/dev-util/amdapp/ChangeLog
+++ b/dev-util/amdapp/ChangeLog
@@ -2,6 +2,10 @@
# Copyright 1999-2015 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+ 02 Feb 2015; Marius Brehler <marbre@linux.sungazer.de>
+ amdapp-2.8.ebuild:
+ Fix 32bit build, add link to download archive
+
*amdapp-2.9 (01 Feb 2015)
01 Feb 2015; Marius Brehler <marbre@linux.sungazer.de>
diff --git a/dev-util/amdapp/amdapp-2.8.ebuild b/dev-util/amdapp/amdapp-2.8.ebuild
index 53a239e..1d921bb 100644
--- a/dev-util/amdapp/amdapp-2.8.ebuild
+++ b/dev-util/amdapp/amdapp-2.8.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2014 Gentoo Foundation
+# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $
@@ -9,11 +9,15 @@ inherit multilib
X86_AT="AMD-APP-SDK-v${PV}-lnx32.tgz"
AMD64_AT="AMD-APP-SDK-v${PV}-lnx64.tgz"
-MY_P="AMD-APP-SDK-v2.8-RC-lnx64"
+MY_P_AMD64="AMD-APP-SDK-v${PV}-RC-lnx64"
+MY_P_AMD32="AMD-APP-SDK-v${PV}-RC-lnx32"
+MY_P="AMD-APP-SDK-v${PV}-RC"
DESCRIPTION="AMD Accelerated Parallel Processing (APP) SDK"
HOMEPAGE="http://developer.amd.com/tools/heterogeneous-computing/\
amd-accelerated-parallel-processing-app-sdk"
+CURI="http://developer.amd.com/tools-and-sdks/opencl-zone/\
+amd-accelerated-parallel-processing-app-sdk/download-archive"
SRC_URI="
amd64? ( ${AMD64_AT} )
x86? ( ${X86_AT} )"
@@ -44,12 +48,22 @@ S="${WORKDIR}/${MY_P}"
pkg_nofetch() {
einfo "AMD doesn't provide direct download links. Please download"
- einfo "${ARCHIVE} from ${HOMEPAGE}"
+ einfo "${ARCHIVE} from ${CURI}"
}
src_unpack() {
default
- unpack ./${MY_P}.tgz
+
+ cd "${WORKDIR}" || die
+
+ if use amd64 || use amd64-linux ; then
+ unpack ./${MY_P_AMD64}.tgz
+ mv -f "${MY_P_AMD64}" "${MY_P}" || die
+ else
+ unpack ./${MY_P_X86}.tgz
+ mv -f "${MY_P_X86}" "${MY_P}" || die
+ fi
+
unpack ./icd-registration.tgz
}
next reply other threads:[~2015-02-02 12:06 UTC|newest]
Thread overview: 25+ messages / expand[flat|nested] mbox.gz Atom feed top
2015-02-02 12:06 Justin Lecher [this message]
-- strict thread matches above, loose matches on Subject: below --
2020-09-27 18:43 [gentoo-commits] proj/sci:master commit in: dev-util/amdapp/ Aisha Tammy
2017-03-26 14:45 Justin Lecher
2017-02-25 19:18 Justin Lecher
2017-01-29 11:59 Justin Lecher
2015-12-07 8:12 Marius Brehler
2015-12-07 8:12 Marius Brehler
2015-11-27 16:13 Marius Brehler
2015-09-23 12:48 Justin Lecher
2015-04-02 10:34 Justin Lecher
2015-03-03 12:26 git@oystercatcher mirror+tproxy
2015-03-03 12:26 git@oystercatcher mirror+tproxy
2015-03-03 12:26 git@oystercatcher mirror+tproxy
2015-03-03 12:26 Nicolas Bock
2015-03-03 12:26 Nicolas Bock
2015-03-03 12:26 Nicolas Bock
2015-02-02 12:06 Justin Lecher
2015-02-02 12:06 Justin Lecher
2015-02-02 12:06 Justin Lecher
2014-11-15 0:21 Christoph Junghans
2013-07-04 19:10 Christoph Junghans
2013-07-04 19:10 Christoph Junghans
2013-07-04 19:10 Christoph Junghans
2013-05-15 11:35 Kacper Kowalik
2013-05-15 11:35 Kacper Kowalik
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1422864546.171a83acc6180827dcc5912b1d42404a81433c54.jlec@gentoo \
--to=jlec@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox